{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .emp-profile{
            padding: 3%;
            margin-top: 3%;
            margin-bottom: 3%;
            border-radius: 0.5rem;
            background: #fff;
        }
        .profile-img{
            text-align: center;
        }
        .profile-img img{
            width: 50%;
            height: 100%;
        }
        .profile-img .file {
            position: relative;
            overflow: hidden;
            margin-top: -20%;
            width: 50%;
            border: none;
            border-radius: 0;
            font-size: 15px;
            background: #212529b8;
        }
        .profile-img .file input {
            position: absolute;
            opacity: 0;
            right: 0;
            top: 0;
        }
        .profile-head h5{
            color: #0062cc;
        }
        .profile-head h4{
            color: #0062cc;
        }
        .profile-edit-btn{
            border: none;
            border-radius: 1.5rem;
            width: 70%;
            padding: 2%;
            font-weight: 600;
            color: #6c757d;
            cursor: pointer;
            margin-left: -153px;
        }
        .proile-rating{
            font-size: 12px;
            color: #818182;
            margin-top: 5%;
        }
        .proile-rating span{
            color: #495057;
            font-size: 15px;
            font-weight: 600;
        }
        .profile-head .nav-tabs{
            margin-bottom:5%;
        }
        .profile-head .nav-tabs .nav-link{
            font-weight:600;
            border: none;
        }
        .profile-head .nav-tabs .nav-link.active{
            border: none;
            border-bottom:2px solid #0062cc;
        }
        .profile-work{
            padding: 14%;
            margin-top: -15%;
        }
        .profile-work p{
            font-size: 12px;
            color: #818182;
            font-weight: 600;
            margin-top: 10%;
        }
        .profile-work a{
            text-decoration: none;
            color: #495057;
            font-weight: 600;
            font-size: 14px;
        }
        .profile-work ul{
            list-style: none;
        }
        .profile-tab label{
            font-weight: 600;
        }
        .profile-tab p{
            font-weight: 600;
            color: #0062cc;
        }
    </style>
{% endblock %}


{% block content %}
    <form method="POST" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="container" style="margin-left: 22px;">
            <div class="modal fade" id="myModal" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Profile Images</h4>
                        </div>
                        <div class="modal-body">
                            <table class="table table-striped order-table table-bordered">
                                <tbody>
                                    <tr>
                                        <td id="cdata">Upload Image :</td>
                                        <td>
                                            <input class="input" type="file" name="Myfiler" id="UploadFiledata">
                                            <span id="errormsg" style="color:red;display:none;"></span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <input type="submit" name="img_update" value="Upload" class="input_import" id="UploadFile" style="margin-left: 40%;">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container emp-profile" >
            <form method="post">
                <div class="row">
                    <div class="col-md-4">
                        <div class="profile-img">
                            {% if userobj.avatar.name %}
                            <img src="/media/{{userobj.avatar}}" alt=""/>
                            {% else %}
                            <img src="/static/avatar_a.png" alt=""/>
                            {% endif %}

                            <div class="file btn btn-lg btn-primary" data-toggle="modal" data-target="#myModal" >
                                Change Photo
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="profile-head">
                            <h2 id="nameobj">{{userobj.name|default:'---'}}</h2>
                            <p id="nameobj1" style="display: none;">
                                <input type="text" name="fname" id="fname" placeholder="First Name"
                                       value="{{userobj.first_name|default:''}}">&nbsp;&nbsp;&nbsp;
                                <input type="text" name="lname" id="lname" placeholder="Last Name"
                                       value="{{userobj.last_name|default:''}}"></p>
                            <h5>{{userobj.role}}</h5>
                            <h4>{{userobj.email}}</h4>
                            <ul class="nav nav-tabs" id="myTab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" aria-selected="true">About</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <input type="button" onclick="return editbtn();" class="profile-edit-btn"
                               name="btneditMore" id="edit" value="Edit Profile"/>
                        <input type="submit" onclick="return savebtn();" style="display: none;"
                               class="profile-edit-btn" name="btnAddMore" id="save" value="Save Profile"/>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4"></div>
                    <div class="col-md-8">
                        <div id="myTabContent">
                            <div class="tab-pane fade show active in" id="home" role="tabpanel" aria-labelledby="home-tab">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>Mobile No:</label>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="mobobj">{{userobj.mobile|default:'-------'}}</p>
                                        <p><input type="text" name="mob" placeholder="Mobile No" style="display: none;" id="mob" value="{{userobj.mobile|default:''}}"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>Address</label>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="addressobj">{{userobj.address_line1|default:'-------'}}</p>
                                        <p><input type="text" name="address" placeholder="Address" style="display: none;" id="address" value="{{userobj.address_line1|default:''}}"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>State</label>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="stateobj">{{user.state|default:'-------'}}</p>
                                        <p><input type="text" name="state" placeholder="State" style="display: none;" id="state" value="{{userobj.state|default:''}}"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>City</label>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="cityobj">{{user.city|default:'-------'}}</p>
                                        <p><input type="text" name="city" placeholder="City" style="display: none;" id="city" value="{{userobj.city|default:''}}"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>Pin Code</label>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="zipcodeobj">{{userobj.zip_code|default:'-------'}}</p>
                                        <p><input type="text" name="zipcode" placeholder="Zip Code" style="display: none;" id="zipcode" value="{{userobj.zip_code|default:''}}"></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        function onbutton() {
            var error = false;
            var ext = $('#UploadFiledata').val().split('.').pop().toLowerCase();
            if ($('#UploadFiledata').val()!='' && $('#UploadFiledata').val()!=undefined){
                if($.inArray(ext, ['gif','png','jpg','jpeg','pdf']) == -1) {
                    error = false
                    $('#errormsg').css('display','block')
                    $('#errormsg').text('only image file can be uploaded!!!')
                    //alert('only Image and Pdf file uploaded!');
                }
                else {
                    error=true;
                }
            }
            else {
                error=false
                $('#errormsg').css('display','block')
                $('#errormsg').text('This field is required.');
            }
            return error
        }

        function editbtn(){
            $('#save').css('display','block');
            $('#edit').css('display','none');
            $('#nameobj').css('display','none');
            $('#nameobj1').css('display','block');
            $('#mobobj').css('display','none');
            $('#mob').css('display','block');
            $('#addressobj').css('display','none');
            $('#address').css('display','block');
            $('#stateobj').css('display','none');
            $('#state').css('display','block');
            $('#cityobj').css('display','none');
            $('#city').css('display','block');
            $('#zipcodeobj').css('display','none');
            $('#zipcode').css('display','block');
            //$('#nameobj').css('display','none');
        }
    </script>
{% endblock %}





